1. Email Account
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
      • Create a new subsequence
      • List campaigns (deprecated)
      • List all campaigns
      • Get campaign name
      • Get campaign status
      • Get campaign email accounts
      • Get campaign emails
      • Get campaign variation stats
      • Set campaign name
      • Set campaign Schedules (deprecated)
      • Activate campaign
      • Pause campaign
      • Update Campaign
      • Delete or archive a campaign
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
        GET
      • Get email account status
        GET
      • Check account vitals
        POST
      • Enable Email account warmup
        POST
      • Pause Email account warmup
        POST
      • Delete Email account
        POST
      • Get Warmup Stats (Workspace-Level)
        GET
      • Bulk Add SMTP Accounts
        POST
      • Bulk Update Email Accounts
        PUT
      • Bulk Update Email Account Warmup Status
        PATCH
      • Bulk Assign/Remove Tags from Email Accounts
        PUT
      • Bulk reconnect email accounts
        POST
      • Get email account stats for a date range
        GET
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
    • List all email accounts in the workspace
    • Check if an email exists in another workspace
    • Initiate Google OAuth login flow
    • Initiate Microsoft OAuth login flow
    • Bulk Add SMTP Accounts (via Username and Password)
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. Email Account

Bulk Update Email Accounts

PUT
https://api.plusvibe.ai/api/v1/account/bulk-update
This endpoint allows you to modify various settings for multiple email accounts simultaneously, including basic information, daily limits, signatures, warmup settings, and rampup configurations. Only provided fields will be updated; omitted fields remain unchanged.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/json

Examples

Responses

🟢200OK
application/json
Email accounts updated successfully
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request PUT 'https://api.plusvibe.ai/api/v1/account/bulk-update' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "workspace_id": "507f1f77bcf86cd799439011",
    "ids": [
        "507f1f77bcf86cd799439012",
        "507f1f77bcf86cd799439013"
    ],
    "first_name": "Sarah",
    "last_name": "Johnson",
    "daily_limit": 150,
    "interval_limit_in_min": 3,
    "signature": "Best regards,<br>John Doe",
    "bulk_is_slow_rampup": "yes",
    "bulk_rampup_daily_limit": 75,
    "bulk_rampup_daily_inc": 15,
    "warmup_custom_words": "warmup-uniquness",
    "warmup_max_daily_limit": 40,
    "warmup_initial_daily_limit": 8,
    "warmup_pace_increment": 3,
    "warmup_signature": "yes",
    "warmup_randomize": "yes",
    "warmup_randomize_num": 20,
    "warmup_reply_rate": 0.3,
    "bulk_warmup_is_slow_rampup": "yes",
    "warmup_schedule": {
        "tz": "America/Los_Angeles",
        "from_time": "08:30",
        "to_time": "18:00",
        "days": [
            "Monday",
            "Tuesday",
            "Wednesday",
            "Thursday",
            "Friday"
        ]
    },
    "warmup_business_type": "Software and Technology Companies"
}'
Response Response Example
200 - Success Example
{
    "status": "success"
}
Modified at 2026-07-24 16:34:04
Previous
Bulk Add SMTP Accounts
Next
Bulk Update Email Account Warmup Status
Built with